org.apache.sysds.runtime.instructions.gpu.context

## Class JCudaKernels

- java.lang.Object
- - org.apache.sysds.runtime.instructions.gpu.context.JCudaKernels

    public class JCudaKernels
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `checkResult(int cuResult)`
`void` `launchKernel(String name, ExecutionConfig config, Object... arguments)` Setups the kernel parameters and launches the kernel using cuLaunchKernel API.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### launchKernel

    public void launchKernel(String name,
                             ExecutionConfig config,
                             Object... arguments)

Setups the kernel parameters and launches the kernel using cuLaunchKernel API. This function currently supports two dimensional grid and blocks.

Parameters:
  `name` - name of the kernel
  `config` - execution configuration
  `arguments` - can be of type Pointer, long, double, float and int

#### checkResult

    public static void checkResult(int cuResult)